<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            {{'mpmApp.vehicleSalesBilling.home.createOrEditLabel' | translate}}
        </p-header>

        <div class="modal-body">
            
            <div class="form-group" [hidden]="!vehicleSalesBilling.idBilling">
                <label for="id" jhiTranslate="global.field.id">ID</label>
                <input type="text" class="form-control" id="id" name="id" [(ngModel)]="vehicleSalesBilling.idBilling" readonly />
            </div>

            <div class="form-group">
                <label jhiTranslate="mpmApp.vehicleSalesBilling.internal" for="field_internal">Internal</label>
                <select class="form-control" id="field_internal" name="internal" [(ngModel)]="vehicleSalesBilling.internalId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
                </select>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.vehicleSalesBilling.billTo" for="field_billTo">Bill To</label>
                <select class="form-control" id="field_billTo" name="billTo" [(ngModel)]="vehicleSalesBilling.billToId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="billToOption.idPartyRole" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.id}}</option>
                </select>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.vehicleSalesBilling.customer" for="field_customer">Customer</label>
                <select class="form-control" id="field_customer" name="customer" [(ngModel)]="vehicleSalesBilling.customerId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="customerOption.idBillTo" *ngFor="let customerOption of customers; trackBy: trackCustomerById">{{customerOption.id}}</option>
                </select>
            </div>
        </div>
    
        <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.cancel' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
                label="{{'entity.action.save' | translate}}" 
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </p-footer>
    </p-panel>
</form>    